config/routes.rb
Rails.application.routes.draw do
  resources :articles
  resources :mailing_groups
  resources :other_groups
  resources :level_groups
  resources :subject_groups
  resources :mailing_statuses
  resources :user_groups
  resources :users
  root 'welcome#index'

resources :mailings do
    member do
      get :edit_comment
      patch :save_comment
      get :copy
    end

    resources :group_files
    resources :mailing_files
  end

  resources :sessions, only: [:new, :create, :destroy]

  match "/register", to: "users#new", via: "get"
  match '/signin',  to: 'sessions#new',         via: 'get'
  match '/signout', to: 'sessions#destroy',     via: 'delete'

  match "/calendar", to: "mailings#calendar", via: "get"
  match "/holidays", to: "mailings#holidays", via: "get"
  match "/timeline", to: "mailings#timeline", via: "get"

  get 'group_files/:id/:style/:basename.:extension' => 'group_files#render_file'
  get 'mailing_files/:id/:style/:basename.:extension' => 'mailing_files#render_file', :constraints => { :basename => /.*/ }

end

app/models/other_group.rb
class OtherGroup < ActiveRecord::Base
	has_many :mailing_groups
end

app/controllers/other_groups_controller.rb
class OtherGroupsController < ApplicationController
  before_action :set_other_group, only: [:show, :edit, :update, :destroy]

  respond_to :html

  def index
    @other_groups = OtherGroup.all
    respond_with(@other_groups)
  end

  def show
    respond_with(@other_group)
  end

  def new
    @other_group = OtherGroup.new
    respond_with(@other_group)
  end

  def edit
  end

  def create
    @other_group = OtherGroup.new(other_group_params)
    @other_group.save
    respond_with(@other_group)
  end

  def update
    @other_group.update(other_group_params)
    respond_with(@other_group)
  end

  def destroy
    @other_group.destroy
    respond_with(@other_group)
  end

  private
    def set_other_group
      @other_group = OtherGroup.find(params[:id])
    end

    def other_group_params
      params.require(:other_group).permit(:name)
    end
end

app/helpers/other_groups_helper.rb
module OtherGroupsHelper
end

app/views/other_groups/_form.html.erb
<%= form_for(@other_group) do |f| %>
  <% if @other_group.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@other_group.errors.count, "error") %> prohibited this other_group from being saved:</h2>

      <ul>
      <% @other_group.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :name %><br>
    <%= f.text_field :name %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/other_groups/edit.html.erb
<h1>Editing Other Group</h1>

<%= render 'form' %>

<%= link_to 'Show', @other_group %> |
<%= link_to 'Back', other_groups_path %>

app/views/other_groups/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Grupy do mailingu - inne</h1>

<table class="table">
  <thead>
    <tr>
      <th>Nazwa</th>
    </tr>
  </thead>

  <tbody>
    <% @other_groups.each do |other_group| %>
      <tr>
        <td><%= other_group.name %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'Dodaj nową definicję grup', new_other_group_path, class: "btn btn-primary btn-flat" %>

app/views/other_groups/new.html.erb
<h1>New Other Group</h1>

<%= render 'form' %>

<%= link_to 'Back', other_groups_path %>

app/views/other_groups/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @other_group.name %>
</p>

<%= link_to 'Edit', edit_other_group_path(@other_group) %> |
<%= link_to 'Back', other_groups_path %>